From 84f80df21d64023ba4a116fed4bb58abe9450144 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Sun, 9 Jun 2019 16:53:15 +0200
Subject: [PATCH] NetworkManager: update to 1.18.1.

---
 .../NetworkManager/patches/musl-basic.patch    | 15 ++++++++-------
 .../patches/musl-fix-includes.patch            | 18 +++++++++---------
 srcpkgs/NetworkManager/template                |  6 +++---
 3 files changed, 20 insertions(+), 19 deletions(-)

diff --git a/srcpkgs/NetworkManager/patches/musl-basic.patch b/srcpkgs/NetworkManager/patches/musl-basic.patch
index 8c4bbb6e79f..63ea93ada58 100644
--- a/srcpkgs/NetworkManager/patches/musl-basic.patch
+++ b/srcpkgs/NetworkManager/patches/musl-basic.patch
@@ -11,11 +11,12 @@ Usual fix for musl libc
  #include <stdarg.h>
  #include <stdio.h>
  #include <sys/types.h>
---- shared/systemd/src/basic/util.h.orig
-+++ shared/systemd/src/basic/util.h
-@@ -46,6 +46,12 @@
- #include "missing.h"
- #include "time-util.h"
+ 
+--- shared/systemd/src/basic/sort-util.h	2019-06-09 17:02:48.895695896 +0200
++++ shared/systemd/src/basic/sort-util.h	2019-06-09 17:03:27.564199937 +0200
+@@ -5,6 +5,12 @@
+ 
+ #include "macro.h"
  
 +#if !defined(__GLIBC__)
 +typedef int (*__compar_fn_t) (const void*, const void*);
@@ -23,6 +24,6 @@ Usual fix for musl libc
 +typedef int (*__compar_d_fn_t) (const void *, const void *, void *);
 +#endif
 +
- size_t page_size(void) _pure_;
- #define PAGE_ALIGN(l) ALIGN_TO((l), page_size())
+ void *xbsearch_r(const void *key, const void *base, size_t nmemb, size_t size,
+                  __compar_d_fn_t compar, void *arg);
  
diff --git a/srcpkgs/NetworkManager/patches/musl-fix-includes.patch b/srcpkgs/NetworkManager/patches/musl-fix-includes.patch
index 11bbc762173..03bdb67780e 100644
--- a/srcpkgs/NetworkManager/patches/musl-fix-includes.patch
+++ b/srcpkgs/NetworkManager/patches/musl-fix-includes.patch
@@ -22,8 +22,8 @@
  
  #include "nm-utils/nm-c-list.h"
  
---- src/platform/nm-linux-platform.c
-+++ src/platform/nm-linux-platform.c
+--- src/platform/nm-linux-platform.c	2019-04-19 11:31:51.000000000 +0200
++++ src/platform/nm-linux-platform.c	2019-06-09 16:45:15.082158443 +0200
 @@ -20,6 +20,7 @@
  #include "nm-default.h"
  
@@ -32,23 +32,23 @@
  
  #include <arpa/inet.h>
  #include <dlfcn.h>
-@@ -27,7 +28,11 @@
- #include <fcntl.h>
+@@ -28,7 +29,11 @@
  #include <libudev.h>
+ #include <linux/fib_rules.h>
  #include <linux/ip.h>
 +#if defined(__GLIBC__)
  #include <linux/if_arp.h>
 +#else
 +#include <linux/if.h>
 +#endif
+ #include <linux/if_bridge.h>
  #include <linux/if_link.h>
  #include <linux/if_tun.h>
- #include <linux/if_tunnel.h>
-@@ -53,7 +58,6 @@
+@@ -57,7 +62,6 @@
  #include "nm-platform-private.h"
  #include "wifi/nm-wifi-utils.h"
  #include "wifi/nm-wifi-utils-wext.h"
 -#include "wpan/nm-wpan-utils.h"
- #include "nm-utils/unaligned.h"
- #include "nm-utils/nm-io-utils.h"
- #include "nm-utils/nm-udev-utils.h"
+ #include "nm-glib-aux/nm-io-utils.h"
+ #include "nm-udev-aux/nm-udev-utils.h"
+ 
diff --git a/srcpkgs/NetworkManager/template b/srcpkgs/NetworkManager/template
index cb5d8e94f51..a82d5eb20b4 100644
--- a/srcpkgs/NetworkManager/template
+++ b/srcpkgs/NetworkManager/template
@@ -1,7 +1,7 @@
 # Template file for 'NetworkManager'
 pkgname=NetworkManager
-version=1.16.0
-revision=2
+version=1.18.1
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Dpolkit_agent=true -Dsystemd_journal=false
@@ -28,7 +28,7 @@ maintainer="Rasmus Thomsen <oss@cogitri.dev>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/NetworkManager"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8e962833b6ca03edda1bc57ed6614a7b8c2339531b44acef098d05f2324c5d2c
+checksum=0d477d4dd08ebe7fe089e0a1141b61a09c38c98498cf3a112cba2be97d166f1f
 lib32disabled=yes
 conf_files="/etc/${pkgname}/${pkgname}.conf"
 make_dirs="
